* { padding: 0%; margin: 0%; box-sizing: border-box; }
body {
	display: grid;
	grid-template-areas:
	"header"
	"main"
	"nav"
	"footer"
}
header { 
	grid-area: header;
	background-color: #cecece;
	padding: 1rem;
	text-align: center;
 }
main { grid-area: main;  }

nav { 
	width: 100%; 
	 grid-area: nav;
	 background-color: #cecece;
 }
 nav ul { 
	width: 100%; 
	display: flex; 
	flex-direction: column;
}
nav ul a {
	display: inline-block; 
	flex-grow: 1; 
	padding: 0.5rem; 
	margin: 0.5rem; 
	background-color: white; 
	text-align: center; 
	border-radius: 5px; 
	color: black;
	border: 1px solid black;
}
nav ul a.current, nav ul a:hover {
	background-color: black;
	color: white;
}
li { 
	list-style-type: none; 
}
footer {
	grid-area: footer;
	overflow: hidden;
	background-color: #cecece;
}
footer .img-container {
    width: 20%;
    border: 1px solid black;
    padding: 1rem;
    float: left;
	text-align:center;
}
footer span {
    width: 40%;
    padding: 0.5rem;
    border: 1px solid black;
    height: 100%;
    display: inline-block;
	float: left;
}
footer span.name {
	text-align: right;
}
footer span.copy {
	text-align: center;
}
footer .img-container img {
   height: 3rem;
}

@media (min-width: 512px) {
	body {
		grid-template-areas:
		"header"
		"nav"
		"main"
		"footer"
	}
}
@media (min-width: 1200px) {
	body {
		grid-template-columns: 1fr auto;
		grid-template-areas:
		"header ."
		"main nav"
		"footer footer"
	}
	
	nav ul {
		flex-direction: column;
		height: 100%;
	}
	nav ul a {
		flex-grow: unset;
	}
	
}